> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/fen-xi/analytics.impression.md).

# Analytics.impression

### 功能说明

当元素曝光时会记录分析日志。适用于想在滚动下方的元素实际出现在屏幕上时记录曝光日志的场景。 `event` 类型的日志中 `event_type: 'impression'` 参数也会一并记录。

`log_name`如果不指定，则会基于当前路径 `<pathname>::impression` 格式的名称会自动使用。除了你传递的值之外，日志参数还会自动包含当前页面的查询字符串（`search`）、进入路径（`referrer`）、部署信息（`deployment_id`, `deployment_timestamp`）也会自动包含。

当前页面 URL 如果是 `https`则不会发送日志。

### 类型

```ts
Analytics.impression(params?: { log_name?: string } & { [key: string]: LogParam }): Promise<void> | undefined;
```

**参数**

```ts
// 除 log_name 之外的键也会作为日志参数一并记录。
type LogParam = string | number | boolean | null | undefined;
```

**响应**

当前页面 URL 如果是 `https`如果不是，则不会发送日志，并且 `undefined`会返回。

### 示例代码

#### JavaScript

```js
import { Analytics } from "@apps-in-toss/web-framework";

const banner = document.querySelector("#promo-banner");

const observer = new IntersectionObserver((entries) => {
  entries.forEach((entry) => {
    if (entry.isIntersecting) {
      Analytics.impression({ log_name: "banner", text: "促销横幅" });
      observer.unobserve(entry.target);
    }
  });
});

observer.observe(banner);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/fen-xi/analytics.impression.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
